# pulp_certguard_client

PulpCertguardClient - the Ruby gem for the Pulp 3 API

Fetch, Upload, Organize, and Distribute Software Packages

This SDK is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v3
- Package version: 3.49.6
- Build package: org.openapitools.codegen.languages.RubyClientCodegen
For more information, please visit [https://pulpproject.org](https://pulpproject.org)

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build pulp_certguard_client.gemspec
```

Then either install the gem locally:

```shell
gem install ./pulp_certguard_client-3.49.6.gem
```

(for development, run `gem install --dev ./pulp_certguard_client-3.49.6.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'pulp_certguard_client', '~> 3.49.6'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/GIT_USER_ID/GIT_REPO_ID, then add the following in the Gemfile:

    gem 'pulp_certguard_client', :git => 'https://github.com/GIT_USER_ID/GIT_REPO_ID.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:

```ruby
# Load the gem
require 'pulp_certguard_client'

# Setup authorization
PulpCertguardClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR_USERNAME'
  config.password = 'YOUR_PASSWORD'
end

api_instance = PulpCertguardClient::ContentguardsRhsmApi.new
certguard_rhsm_cert_guard = PulpCertguardClient::CertguardRHSMCertGuard.new # CertguardRHSMCertGuard | 

begin
  #Create a rhsm cert guard
  result = api_instance.create(certguard_rhsm_cert_guard)
  p result
rescue PulpCertguardClient::ApiError => e
  puts "Exception when calling ContentguardsRhsmApi->create: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *http://pulp*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*PulpCertguardClient::ContentguardsRhsmApi* | [**create**](docs/ContentguardsRhsmApi.md#create) | **POST** /pulp/api/v3/contentguards/certguard/rhsm/ | Create a rhsm cert guard
*PulpCertguardClient::ContentguardsRhsmApi* | [**delete**](docs/ContentguardsRhsmApi.md#delete) | **DELETE** {certguard_r_h_s_m_cert_guard_href} | Delete a rhsm cert guard
*PulpCertguardClient::ContentguardsRhsmApi* | [**list**](docs/ContentguardsRhsmApi.md#list) | **GET** /pulp/api/v3/contentguards/certguard/rhsm/ | List rhsm cert guards
*PulpCertguardClient::ContentguardsRhsmApi* | [**partial_update**](docs/ContentguardsRhsmApi.md#partial_update) | **PATCH** {certguard_r_h_s_m_cert_guard_href} | Update a rhsm cert guard
*PulpCertguardClient::ContentguardsRhsmApi* | [**read**](docs/ContentguardsRhsmApi.md#read) | **GET** {certguard_r_h_s_m_cert_guard_href} | Inspect a rhsm cert guard
*PulpCertguardClient::ContentguardsRhsmApi* | [**update**](docs/ContentguardsRhsmApi.md#update) | **PUT** {certguard_r_h_s_m_cert_guard_href} | Update a rhsm cert guard
*PulpCertguardClient::ContentguardsX509Api* | [**create**](docs/ContentguardsX509Api.md#create) | **POST** /pulp/api/v3/contentguards/certguard/x509/ | Create a x509 cert guard
*PulpCertguardClient::ContentguardsX509Api* | [**delete**](docs/ContentguardsX509Api.md#delete) | **DELETE** {certguard_x509_cert_guard_href} | Delete a x509 cert guard
*PulpCertguardClient::ContentguardsX509Api* | [**list**](docs/ContentguardsX509Api.md#list) | **GET** /pulp/api/v3/contentguards/certguard/x509/ | List x509 cert guards
*PulpCertguardClient::ContentguardsX509Api* | [**partial_update**](docs/ContentguardsX509Api.md#partial_update) | **PATCH** {certguard_x509_cert_guard_href} | Update a x509 cert guard
*PulpCertguardClient::ContentguardsX509Api* | [**read**](docs/ContentguardsX509Api.md#read) | **GET** {certguard_x509_cert_guard_href} | Inspect a x509 cert guard
*PulpCertguardClient::ContentguardsX509Api* | [**update**](docs/ContentguardsX509Api.md#update) | **PUT** {certguard_x509_cert_guard_href} | Update a x509 cert guard


## Documentation for Models

 - [PulpCertguardClient::CertguardRHSMCertGuard](docs/CertguardRHSMCertGuard.md)
 - [PulpCertguardClient::CertguardRHSMCertGuardResponse](docs/CertguardRHSMCertGuardResponse.md)
 - [PulpCertguardClient::CertguardX509CertGuard](docs/CertguardX509CertGuard.md)
 - [PulpCertguardClient::CertguardX509CertGuardResponse](docs/CertguardX509CertGuardResponse.md)
 - [PulpCertguardClient::PaginatedcertguardRHSMCertGuardResponseList](docs/PaginatedcertguardRHSMCertGuardResponseList.md)
 - [PulpCertguardClient::PaginatedcertguardX509CertGuardResponseList](docs/PaginatedcertguardX509CertGuardResponseList.md)
 - [PulpCertguardClient::PatchedcertguardRHSMCertGuard](docs/PatchedcertguardRHSMCertGuard.md)
 - [PulpCertguardClient::PatchedcertguardX509CertGuard](docs/PatchedcertguardX509CertGuard.md)


## Documentation for Authorization


### basicAuth

- **Type**: HTTP basic authentication

