# PulpCertguardClient::ContentguardsRhsmApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create**](ContentguardsRhsmApi.md#create) | **POST** /pulp/api/v3/contentguards/certguard/rhsm/ | Create a rhsm cert guard
[**delete**](ContentguardsRhsmApi.md#delete) | **DELETE** {certguard_r_h_s_m_cert_guard_href} | Delete a rhsm cert guard
[**list**](ContentguardsRhsmApi.md#list) | **GET** /pulp/api/v3/contentguards/certguard/rhsm/ | List rhsm cert guards
[**partial_update**](ContentguardsRhsmApi.md#partial_update) | **PATCH** {certguard_r_h_s_m_cert_guard_href} | Update a rhsm cert guard
[**read**](ContentguardsRhsmApi.md#read) | **GET** {certguard_r_h_s_m_cert_guard_href} | Inspect a rhsm cert guard
[**update**](ContentguardsRhsmApi.md#update) | **PUT** {certguard_r_h_s_m_cert_guard_href} | Update a rhsm cert guard



## create

> CertguardRHSMCertGuardResponse create(certguard_rhsm_cert_guard)

Create a rhsm cert guard

RHSMCertGuard API Viewsets.

### Example

```ruby
# load the gem
require 'pulp_certguard_client'
# setup authorization
PulpCertguardClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpCertguardClient::ContentguardsRhsmApi.new
certguard_rhsm_cert_guard = PulpCertguardClient::CertguardRHSMCertGuard.new # CertguardRHSMCertGuard | 

begin
  #Create a rhsm cert guard
  result = api_instance.create(certguard_rhsm_cert_guard)
  p result
rescue PulpCertguardClient::ApiError => e
  puts "Exception when calling ContentguardsRhsmApi->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **certguard_rhsm_cert_guard** | [**CertguardRHSMCertGuard**](CertguardRHSMCertGuard.md)|  | 

### Return type

[**CertguardRHSMCertGuardResponse**](CertguardRHSMCertGuardResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## delete

> delete(certguard_r_h_s_m_cert_guard_href)

Delete a rhsm cert guard

RHSMCertGuard API Viewsets.

### Example

```ruby
# load the gem
require 'pulp_certguard_client'
# setup authorization
PulpCertguardClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpCertguardClient::ContentguardsRhsmApi.new
certguard_r_h_s_m_cert_guard_href = 'certguard_r_h_s_m_cert_guard_href_example' # String | 

begin
  #Delete a rhsm cert guard
  api_instance.delete(certguard_r_h_s_m_cert_guard_href)
rescue PulpCertguardClient::ApiError => e
  puts "Exception when calling ContentguardsRhsmApi->delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **certguard_r_h_s_m_cert_guard_href** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## list

> PaginatedcertguardRHSMCertGuardResponseList list(opts)

List rhsm cert guards

RHSMCertGuard API Viewsets.

### Example

```ruby
# load the gem
require 'pulp_certguard_client'
# setup authorization
PulpCertguardClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpCertguardClient::ContentguardsRhsmApi.new
opts = {
  limit: 56, # Integer | Number of results to return per page.
  name: 'name_example', # String | Filter results where name matches value
  name__contains: 'name__contains_example', # String | Filter results where name contains value
  name__icontains: 'name__icontains_example', # String | Filter results where name contains value
  name__iexact: 'name__iexact_example', # String | Filter results where name matches value
  name__in: ['name__in_example'], # Array<String> | Filter results where name is in a comma-separated list of values
  name__iregex: 'name__iregex_example', # String | Filter results where name matches regex value
  name__istartswith: 'name__istartswith_example', # String | Filter results where name starts with value
  name__regex: 'name__regex_example', # String | Filter results where name matches regex value
  name__startswith: 'name__startswith_example', # String | Filter results where name starts with value
  offset: 56, # Integer | The initial index from which to return the results.
  ordering: ['ordering_example'], # Array<String> | Ordering  * `pulp_id` - Pulp id * `-pulp_id` - Pulp id (descending) * `pulp_created` - Pulp created * `-pulp_created` - Pulp created (descending) * `pulp_last_updated` - Pulp last updated * `-pulp_last_updated` - Pulp last updated (descending) * `pulp_type` - Pulp type * `-pulp_type` - Pulp type (descending) * `name` - Name * `-name` - Name (descending) * `description` - Description * `-description` - Description (descending) * `pk` - Pk * `-pk` - Pk (descending)
  pulp_href__in: ['pulp_href__in_example'], # Array<String> | Multiple values may be separated by commas.
  pulp_id__in: ['pulp_id__in_example'], # Array<String> | Multiple values may be separated by commas.
  q: 'q_example', # String | 
  fields: ['fields_example'], # Array<String> | A list of fields to include in the response.
  exclude_fields: ['exclude_fields_example'] # Array<String> | A list of fields to exclude from the response.
}

begin
  #List rhsm cert guards
  result = api_instance.list(opts)
  p result
rescue PulpCertguardClient::ApiError => e
  puts "Exception when calling ContentguardsRhsmApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **name** | **String**| Filter results where name matches value | [optional] 
 **name__contains** | **String**| Filter results where name contains value | [optional] 
 **name__icontains** | **String**| Filter results where name contains value | [optional] 
 **name__iexact** | **String**| Filter results where name matches value | [optional] 
 **name__in** | [**Array&lt;String&gt;**](String.md)| Filter results where name is in a comma-separated list of values | [optional] 
 **name__iregex** | **String**| Filter results where name matches regex value | [optional] 
 **name__istartswith** | **String**| Filter results where name starts with value | [optional] 
 **name__regex** | **String**| Filter results where name matches regex value | [optional] 
 **name__startswith** | **String**| Filter results where name starts with value | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **ordering** | [**Array&lt;String&gt;**](String.md)| Ordering  * &#x60;pulp_id&#x60; - Pulp id * &#x60;-pulp_id&#x60; - Pulp id (descending) * &#x60;pulp_created&#x60; - Pulp created * &#x60;-pulp_created&#x60; - Pulp created (descending) * &#x60;pulp_last_updated&#x60; - Pulp last updated * &#x60;-pulp_last_updated&#x60; - Pulp last updated (descending) * &#x60;pulp_type&#x60; - Pulp type * &#x60;-pulp_type&#x60; - Pulp type (descending) * &#x60;name&#x60; - Name * &#x60;-name&#x60; - Name (descending) * &#x60;description&#x60; - Description * &#x60;-description&#x60; - Description (descending) * &#x60;pk&#x60; - Pk * &#x60;-pk&#x60; - Pk (descending) | [optional] 
 **pulp_href__in** | [**Array&lt;String&gt;**](String.md)| Multiple values may be separated by commas. | [optional] 
 **pulp_id__in** | [**Array&lt;String&gt;**](String.md)| Multiple values may be separated by commas. | [optional] 
 **q** | **String**|  | [optional] 
 **fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to include in the response. | [optional] 
 **exclude_fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to exclude from the response. | [optional] 

### Return type

[**PaginatedcertguardRHSMCertGuardResponseList**](PaginatedcertguardRHSMCertGuardResponseList.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## partial_update

> CertguardRHSMCertGuardResponse partial_update(certguard_r_h_s_m_cert_guard_href, patchedcertguard_rhsm_cert_guard)

Update a rhsm cert guard

RHSMCertGuard API Viewsets.

### Example

```ruby
# load the gem
require 'pulp_certguard_client'
# setup authorization
PulpCertguardClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpCertguardClient::ContentguardsRhsmApi.new
certguard_r_h_s_m_cert_guard_href = 'certguard_r_h_s_m_cert_guard_href_example' # String | 
patchedcertguard_rhsm_cert_guard = PulpCertguardClient::PatchedcertguardRHSMCertGuard.new # PatchedcertguardRHSMCertGuard | 

begin
  #Update a rhsm cert guard
  result = api_instance.partial_update(certguard_r_h_s_m_cert_guard_href, patchedcertguard_rhsm_cert_guard)
  p result
rescue PulpCertguardClient::ApiError => e
  puts "Exception when calling ContentguardsRhsmApi->partial_update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **certguard_r_h_s_m_cert_guard_href** | **String**|  | 
 **patchedcertguard_rhsm_cert_guard** | [**PatchedcertguardRHSMCertGuard**](PatchedcertguardRHSMCertGuard.md)|  | 

### Return type

[**CertguardRHSMCertGuardResponse**](CertguardRHSMCertGuardResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## read

> CertguardRHSMCertGuardResponse read(certguard_r_h_s_m_cert_guard_href, opts)

Inspect a rhsm cert guard

RHSMCertGuard API Viewsets.

### Example

```ruby
# load the gem
require 'pulp_certguard_client'
# setup authorization
PulpCertguardClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpCertguardClient::ContentguardsRhsmApi.new
certguard_r_h_s_m_cert_guard_href = 'certguard_r_h_s_m_cert_guard_href_example' # String | 
opts = {
  fields: ['fields_example'], # Array<String> | A list of fields to include in the response.
  exclude_fields: ['exclude_fields_example'] # Array<String> | A list of fields to exclude from the response.
}

begin
  #Inspect a rhsm cert guard
  result = api_instance.read(certguard_r_h_s_m_cert_guard_href, opts)
  p result
rescue PulpCertguardClient::ApiError => e
  puts "Exception when calling ContentguardsRhsmApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **certguard_r_h_s_m_cert_guard_href** | **String**|  | 
 **fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to include in the response. | [optional] 
 **exclude_fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to exclude from the response. | [optional] 

### Return type

[**CertguardRHSMCertGuardResponse**](CertguardRHSMCertGuardResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## update

> CertguardRHSMCertGuardResponse update(certguard_r_h_s_m_cert_guard_href, certguard_rhsm_cert_guard)

Update a rhsm cert guard

RHSMCertGuard API Viewsets.

### Example

```ruby
# load the gem
require 'pulp_certguard_client'
# setup authorization
PulpCertguardClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpCertguardClient::ContentguardsRhsmApi.new
certguard_r_h_s_m_cert_guard_href = 'certguard_r_h_s_m_cert_guard_href_example' # String | 
certguard_rhsm_cert_guard = PulpCertguardClient::CertguardRHSMCertGuard.new # CertguardRHSMCertGuard | 

begin
  #Update a rhsm cert guard
  result = api_instance.update(certguard_r_h_s_m_cert_guard_href, certguard_rhsm_cert_guard)
  p result
rescue PulpCertguardClient::ApiError => e
  puts "Exception when calling ContentguardsRhsmApi->update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **certguard_r_h_s_m_cert_guard_href** | **String**|  | 
 **certguard_rhsm_cert_guard** | [**CertguardRHSMCertGuard**](CertguardRHSMCertGuard.md)|  | 

### Return type

[**CertguardRHSMCertGuardResponse**](CertguardRHSMCertGuardResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json

